curl --request GET \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/{id}/statements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/{id}/statements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/{id}/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"statementDate": "2023-12-25",
"statementId": "<string>",
"statementType": "<string>",
"typeDescription": "<string>"
}
],
"nextPaginationToken": "<string>",
"prevPaginationToken": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}List statements
Returns statement metadata — which statements exist for the account — not the statement documents themselves. Statements are returned in the banking core’s order (newest first).
Token types: APP, USER | Required scopes: bank_account:read:org
Authorizations
Application (M2M) OAuth2 access token (client credentials).
Path Parameters
The bank account ID.
Query Parameters
Optional inclusive lower bound on statement date.
Optional inclusive upper bound on statement date.
Optional statement category filter. See StatementCategoryDto for supported values.
ALL, NOTICES, STATEMENTS, TAX_FORMS Number of items to return (default 25, max 100).
Opaque pagination token from a previous response.
Response
Returns available statements.
A paginated response containing a page of results and navigation tokens.
The items in the current page.
Show child attributes
Show child attributes
A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page.
A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page.
Was this page helpful?